{
	"name": "demo",
	"authors": [
		"Michał Masiukiewicz", "Dawid Masiukiewicz"
	],
	"description": "Dynamic Entity Component System simple example",
	"copyright": "Copyright © 2018-2019, Michał Masiukiewicz, Dawid Masiukiewicz",
	"license": "BSD 3-clause",
	"dependencies": {
		"ecs_utils":{"path":"utils/"}
	},
	"sourcePaths": [
		"source"
	],
	"importPaths": [
		"source"
	],
	"libs-windows-x86_64": ["libs/windows/x64/SDL2","libs/windows/x64/SDL2_Image","libs/windows/x64/cimgui"],
	"libs-linux-x86_64": ["cimgui","SDL2","SDL2_image"],
	"lflags-linux-x86_64": ["-rpath=libs/linux/x64/","-Llibs/linux/x64/"],
	"configurations" : [
		{
			"name" : "default",
			"targetType" : "executable",
			"subConfigurations": 
			{
				"ecs_utils":"default"		
			}
		},
		{
			"name" : "betterC",
			"targetType" : "executable",
			"dflags": [
				"-betterC"
			],
			"subConfigurations": 
			{
				"ecs_utils":"betterC"
			}
		}
	]
}